# Spice.ai v0.1.0-alpha.4

Announcing the release of Spice.ai v0.1.0-alpha.4! 🎉

We have a project name update. The project will now be referred to as "Spice.ai" instead of "Spice AI" and the project website will be located at [spiceai.org](http://spiceai.org).

This release now uses the new [spicerack.org](https://spicerack.org) AI package registry instead of fetching packages directly from GitHub.

The CLI been streamlined removing the `pod` command:
- `pod add` changes from `spice pod add <pod path>` to just `spice add <pod path>`
- `pod train` changes from `spice pod train <pod name>` to just `spice train <pod name>`

We've also updated the names of some concepts:

- "DataSources" are now "Dataspaces"
- "Inference" is now "Recommendation"

## New in this release

- **Adds** a new [Gardener](https://github.com/spiceai/samples/tree/trunk/gardener) to intelligently decide on the best time to water a simulated garden
- **Adds** a complete end-to-end test suite
- **Adds** installing by friendly URL `curl https://install.spiceai.org | /bin/bash`
- **Adds** the spice binary to PATH automatically by shell config (E.g. `.bashrc` `.zshrc`)
- **Adds** support for targeting hosting contexts (`docker` or `metal`) specifically with a `--context` command line flag
- **Removes** the model downloader. This will return with better supported in a later version
- **Updates** [Trader]](https://github.com/spiceai/quickstarts/tree/trunk/trader) quickstart with demo Node.js application to better demonstrate its use
- **Updates** [LogPruner]](https://github.com/spiceai/quickstarts/tree/trunk/logpruner) quickstart with demo PowerShell Core script to better demonstrate its use
- **Updates** Tensorflow from 2.5.0 to 2.5.1
- **Fixes** potential mismatch of CLI and runtime by only automatically upgrading to the same version
- **Fixes** issue with `.spice/config.yml` creation in Docker due to incorrect permissions
- **Fixes** dashboard title from `React App` to `Spice.ai`

## Breaking changes

- **Changes** `datasources` section in the pod manifest to `dataspaces`
- **Changes** `/api/v0.1/pods/<pod>/inference` API to `/api/v0.1/pods/<pod>/recommendation`
